Bug 997041 - Cloud guest images needs to have "NOZEROCONF=yes" in /etc/sysconfig/network
Summary: Cloud guest images needs to have "NOZEROCONF=yes" in /etc/sysconfig/network
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: guest-images
Version: 6.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Mike Burns
QA Contact:
URL:
Whiteboard:
Depends On: 983611
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-14 14:35 UTC by Chris Pelland
Modified: 2013-10-30 15:50 UTC (History)
11 users (show)

Fixed In Version: rhel-guest-image-6.4-2
Doc Type: Bug Fix
Doc Text:
* Metadata access is handled by the network node, and the cloud-init service uses the metadata at startup time. Previously, the cloud-init service did not have "NOZEROCONF=yes" configured. Consequently, access to the subnet 169.254.0.0/16 range was not routed to the network node, so the cloud-init service failed to work. This update adds "NOZEROCONF=yes" to cloud images in the /etc/sysconfig/network file. Users should avoid turning on the zeroconf route in these images. To disable the zeroconf route at system boot time, edit the /etc/sysconfig/network file as root and add "NOZEROCONF=yes" to a new line at the end of the file.
Clone Of:
Environment:
Last Closed: 2013-10-30 15:50:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1481 normal SHIPPED_LIVE rhel-guest-image bug fix and enhancement update 2013-11-05 19:49:16 UTC

Description Chris Pelland 2013-08-14 14:35:38 UTC
This bug has been copied from bug #983611 and has been proposed
to be backported to 6.4 z-stream (EUS).

Comment 5 Wei Shi 2013-10-08 09:39:04 UTC
Verified:

rhel-server-x86_64-kvm-6.4_20130130.0-9

# cat /etc/sysconfig/network
NETWORKING=yes
NETWORKING_IPV6=no
HOSTNAME=virtlab-66-85-160.englab.nay.redhat.com
NOZEROCONF=yes

Comment 13 Gilles Dubreuil 2013-10-30 04:19:44 UTC
This one to go back to VERIFIED status as I interfered with its state in the first place.

Put I can't (and probably shouldn't) do that.

Comment 15 errata-xmlrpc 2013-10-30 15:50:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1481.html


Note You need to log in before you can comment on or make changes to this bug.